<div class="row">
    <div class="col-md-2"></div>

    <div class="col-md-8">
        <div class="row">
            <div class="col">
                <div class="alert alert-box" role="alert">
                    <h3>Gestione Date Intervalli Estrazione</h3>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <app-alert></app-alert>
            </div>
        </div>
        <form #datesFormRef="ngForm" name="datesForm">
            <div class="row">
                <div class="col">
                    <label class="col-form-label"><strong>Data Fissa:</strong> </label>
                </div>
                <div class="col">
                    <label class="col-form-label"><strong>Data Chiusura:</strong></label>

                </div>
                <div class="col" id="hidden"></div>
            </div>
            <div class="row">

                <div class="col"
                    [ngClass]="{'has-error' : (fixedDateRef.invalid && (fixedDateRef.dirty || fixedDateRef.touched))}">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text">{{extractDate?.fixedDate | date:'dd/MM/yyyy'}}</div>
                        </div>
                        <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" class="form-control"
                            autocomplete="off" [(ngModel)]="extractionCriteria.fixedDate" name="fixedDate"
                            #fixedDateRef="ngModel" bsDatepicker
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                            [bsValue]="extractionCriteria.fixedDate" required>
                    </div>

                    <div *ngIf="(fixedDateRef.invalid && (fixedDateRef.dirty || fixedDateRef.touched))"
                        class="validation-messages">
                        <div>
                            <div  *ngIf="fixedDateRef.errors.required; then requiredErr else invalidErr">
                            </div>
                            <ng-template #requiredErr>Campo obbligatorio</ng-template>
                            <ng-template #invalidErr>{{fixedDateRef.errors.error}}</ng-template>
                        </div>

                    </div>
                </div>


                <div class="col"
                    [ngClass]="{'has-error' : (closingDateRef.invalid && (closingDateRef.dirty || closingDateRef.touched))}">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <div class="input-group-text">{{extractDate?.closingDate | date:'dd/MM/yyyy'}}</div>
                        </div>
                        <input style="text-align: center;" placeholder="gg/mm/aaaa" type="text" class="form-control"
                            autocomplete="off" bsDatepicker [(ngModel)]="extractionCriteria.closingDate"
                            name="closingDate" #closingDateRef="ngModel"
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                            [bsValue]="extractionCriteria.closingDate" [minDate]="extractionDateLowerBound()" required>
                    </div>
                    <div *ngIf="(closingDateRef.invalid && (closingDateRef.dirty || closingDateRef.touched))"
                        class="validation-messages">
                        <div>
                            <div  *ngIf="closingDateRef.errors.required; then requiredErr else invalidErr">
                            </div>
                            <ng-template #requiredErr>Campo obbligatorio</ng-template>
                            <ng-template #invalidErr>{{closingDateRef.errors.error}}</ng-template>
                        </div>
                    </div>
                </div>

                <div class="col" id="hidden"></div>
            </div>
        </form>
        <hr>
        <div class="row">
            <div class="col">
                    <button type="button" (click)="goToHome()"
                    class="btn btn-sm btn-danger size buttonCancel">Annulla</button>
                <button type="button" [disabled]="!datesFormRef.valid" (click)="toggleResults()"
                    class="btn btn-sm btn-success size buttonConfirm">Salva</button>
                
            </div>



        </div>
        <div>




        </div>
    </div>

    <div class="col-md-2"></div>



</div>